## org.exist.storage
Class QNameRangeIndexSpec

    java.lang.Object
      org.exist.storage.RangeIndexSpec
          org.exist.storage.QNameRangeIndexSpec

public class QNameRangeIndexSpec
extends RangeIndexSpec

Field Summary

Fields inherited from class org.exist.storage.RangeIndexSpec
`BOOLEAN, DATE_TIME, DOUBLE, FLOAT, HAS_VALUE_INDEX_MASK, HAS_VALUE_OR_MIXED_INDEX_MASK, INTEGER, MIXED_CONTENT, NO_INDEX, QNAME_INDEX, RANGE_INDEX_MASK, STRING, TEXT, TEXT_MIXED_CONTENT`

Constructor Summary
`QNameRangeIndexSpec(java.util.Map namespaces, java.lang.String name, java.lang.String typeStr)`

Method Summary
`QName` `getQName()`

Methods inherited from class org.exist.storage.RangeIndexSpec
`getIndexType, getType, hasFulltextIndex, hasMixedContent, hasMixedTextIndex, hasQNameIndex, hasQNameOrValueIndex, hasRangeIndex, indexTypeToXPath, xpathTypeToIndex`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QNameRangeIndexSpec

    public QNameRangeIndexSpec(java.util.Map namespaces,
                               java.lang.String name,
                               java.lang.String typeStr)
                        throws DatabaseConfigurationException

Method Detail

### getQName

    public QName getQName()

Copyright (C) Wolfgang Meier. All rights reserved.